<div class="row mb-3 align-items-center justify-content-between">
  <div class="col-md-auto col-sm-auto">
    <div class="section-title">
      <h2>{{'ROLES' | translate}}</h2>
    </div>
  </div>
  <div class="col-md-auto col-sm-auto">
    <h4 class="widget-title">
      <button *hasClaim="'role_create_role'" class="btn btn-success2 btn-sm m-right-10" [routerLink]="['/roles/manage']">
        <i class="las la-plus"></i>
        {{'ADD_ROLE' | translate}}
      </button>
    </h4>
  </div>
</div>

<div class="mat-elevation-z8">
  <div class="loading-shade" *ngIf="isLoadingResults">
    <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
  </div>
  <div class="table-container">

    <table mat-table [dataSource]="roles" class="mat-elevation-z8 table">

      <!-- Action Column -->
      <ng-container matColumnDef="action">
        <th style="width:30%" mat-header-cell *matHeaderCellDef>{{'ACTION' | translate}} </th>
        <td style="width:30%" mat-cell *matCellDef="let role">
          <button *hasClaim="'role_edit_role'" [routerLink]="['/roles/manage',role.id]"
            class="btn btn-success btn-sm m-right-10" type="button" [disabled]="role.id == '02748681-fd6d-456e-be38-312916f2912c' || role.id == '2bfc619d-6e13-48ac-869e-3daa59c65115' || role.id == '3ad91c85-f648-4abd-adac-426779ccf06b' || role.id == 'fa04647a-0a36-4472-94ae-3826f2421237'">
            <i class="las la-pen"></i>
            {{'EDIT' | translate}}
          </button>
          <button *hasClaim="'role_delete_role'" (click)="deleteRole(role)" class="btn btn-danger btn-sm" type="button" [disabled]="role.id == '02748681-fd6d-456e-be38-312916f2912c' || role.id == '2bfc619d-6e13-48ac-869e-3daa59c65115' || role.id == '3ad91c85-f648-4abd-adac-426779ccf06b' || role.id == 'fa04647a-0a36-4472-94ae-3826f2421237'">
            <i class="las la-trash"></i>
            {{'DELETE' | translate}}
          </button>
        </td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> {{'NAME' | translate}} </th>
        <td mat-cell *matCellDef="let role"> {{role.name}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns;sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>
</div>
